package org.takiguchi.cerberus.cerberusapp.exception;

/**
 * Technical exception.
 */
public class TechnicalException extends RuntimeException {
    /**
     * Constructs an exception with a message.
     * @param message The description of the error met.
     */
    public TechnicalException(final String message) {
        super(message);
    }

    /**
     * Constructs an exception with a message and a code.
     * @param message The description of the error met.
     * @param cause The cause of the exception.
     */
    public TechnicalException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
